Subject: Re: [for-next V3 00/10][pull request] Mellanox 100G mlx5 4K UAR support

From: Doug Ledford <[email-masked]>
Date: Mon, 09 Jan 2017 23:53:26 -0500

On Mon, 2017-01-09 at 21:00 +0200, Saeed Mahameed wrote:
> Hi Dave and Doug,
> 
> Following the mlx5-odp submission, you can find here the 2nd mlx5
> submission for 4.11 as a pull-request including mlx5 4K UAR support
> from
> Eli Cohen (details below).  For you Doug, this pull request will
> provide
> you with both mlx5 odp and mlx5 4k UAR since it is based on Dave's
> net-next mlx5-odp merge commit.
> 
> v1->v2:
>   - Removed 64BIT arch dependency.
> v2->v3:
>   - Removed extra space.
> 
> Thank you,
> Saeed.
> 
> The following changes since commit
> 525dfa2cdce4f5ab76251b5e57ebabf4f2dfc40c:
> 
>   Merge branch 'mlx5-odp' (2017-01-02 15:51:21 -0500)

This base commit looks harmless enough, but since it's likely just a
commit in your tree, it isn't really a clear indicator of how you set
this tree up....

> are available in the git repository at:
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/mellanox/linux.git
> tags/mlx5-4kuar-for-4.11
> 
> for you to fetch changes up to
> f502d834950a28e02651bb7e2cc7111ddd352644:
> 
>   net/mlx5: Activate support for 4K UARs (2017-01-09 20:25:10 +0200)

But once I pulled this, it became clear you guys based your tree on a
net-next starting point.  You need to make that clear in the beginning.
 And unless you can't avoid it, don't do it.  I don't like having to
pull in Dave's net-next before I pull your code because it means I
can't submit my pull request to Linus during the merge window as a
single pull request, I have to split it up to be the stuff that is
based on net-next and the stuff based on my own next area.

> 
> ----------------------------------------------------------------
> Eli Cohen (10):
>       IB/mlx5: Fix kernel to user leak prevention logic
>       IB/mlx5: Fix error handling order in create_kernel_qp
>       mlx5: Fix naming convention with respect to UARs
>       IB/mlx5: Fix retrieval of index to first hi class bfreg
>       net/mlx5: Introduce blue flame register allocator
>       net/mlx5: Add interface to get reference to a UAR
>       IB/mlx5: Use blue flame register allocator in mlx5_ib
>       IB/mlx5: Allow future extension of libmlx5 input data
>       IB/mlx5: Support 4k UAR for libmlx5
>       net/mlx5: Activate support for 4K UARs
> 
>  drivers/infiniband/hw/mlx5/cq.c                    |  10 +-
>  drivers/infiniband/hw/mlx5/main.c                  | 278 ++++++++++-
> -----
>  drivers/infiniband/hw/mlx5/mlx5_ib.h               |  32 +-
>  drivers/infiniband/hw/mlx5/qp.c                    | 290 +++++++--
> --------
>  drivers/net/ethernet/mellanox/mlx5/core/cq.c       |   2 +
>  drivers/net/ethernet/mellanox/mlx5/core/en.h       |  11 +-
>  .../net/ethernet/mellanox/mlx5/core/en_common.c    |  12 +-
>  drivers/net/ethernet/mellanox/mlx5/core/en_main.c  |  21 +-
>  drivers/net/ethernet/mellanox/mlx5/core/eq.c       |  14 +-
>  drivers/net/ethernet/mellanox/mlx5/core/main.c     |  26 +-
>  drivers/net/ethernet/mellanox/mlx5/core/uar.c      | 351
> +++++++++++++--------
>  include/linux/mlx5/cq.h                            |   5 +-
>  include/linux/mlx5/device.h                        |  23 +-
>  include/linux/mlx5/doorbell.h                      |   6 +-
>  include/linux/mlx5/driver.h                        |  81 ++---
>  include/linux/mlx5/mlx5_ifc.h                      |   7 +-
>  include/uapi/rdma/mlx5-abi.h                       |  19 +-
>  17 files changed, 672 insertions(+), 516 deletions(-)

Without going into excruciating detail, this is what I got when I
pulled your branch:

 273 files changed, 8891 insertions(+), 6637 deletions(-)
 create mode 100644 drivers/net/ethernet/qlogic/qede/qede_filter.c
 create mode 100644 drivers/net/ethernet/qlogic/qede/qede_fp.c

Please don't do this unless you absolutely have to.

-- 
Doug Ledford <[email-masked]>
    GPG KeyID: B826A3330E572FDD
   
Key fingerprint = AE6B 1BDA 122B 23B4 265B  1274 B826 A333 0E57 2FDD